Bug 15194 - Drop-down menu 'Actions' has problem in 'Saved reports' page with language bottom bar
Summary: Drop-down menu 'Actions' has problem in 'Saved reports' page with language bo...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-16 16:20 UTC by Zeno Tajoli
Modified: 2017-12-07 22:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
drop-down menu with lang in staff (216.63 KB, image/png)
2015-11-16 17:16 UTC, Zeno Tajoli
Details
drop-down menu without lang in staff (212.23 KB, image/png)
2015-11-16 17:17 UTC, Zeno Tajoli
Details
Bug 15194: Display dropdown action menu on top of the language bar (992 bytes, patch)
2015-12-02 14:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15194 - Drop-down menu 'Actions' has problem in 'Saved reports' page with language bottom bar (1.75 KB, patch)
2016-05-03 14:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15194 - Drop-down menu 'Actions' has problem in 'Saved reports' page with language bottom bar (1.85 KB, patch)
2016-05-03 15:46 UTC, Marc Véron
Details | Diff | Splinter Review
drop-down-menu-spanish (67.35 KB, image/png)
2016-05-03 15:54 UTC, Héctor Eduardo Castro Avalos
Details
Bug 15194 - Drop-down menu 'Actions' has problem in 'Saved reports' page with language bottom bar (1.92 KB, patch)
2016-05-04 15:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2015-11-16 16:20:26 UTC

    
Comment 1 Zeno Tajoli 2015-11-16 17:16:32 UTC
Created attachment 44877 [details]
drop-down menu with lang in staff
Comment 2 Zeno Tajoli 2015-11-16 17:17:06 UTC
Created attachment 44878 [details]
drop-down menu without lang in staff
Comment 3 Zeno Tajoli 2015-11-16 17:25:22 UTC
In the page of 'Saved reports', module Reports, there are problem beetwen the drop-down menus 'Actions' and the language bar at the botton.

If you have only one language (and so you don't have anguage bar at the botton),
you don't have any problem. See image ' drop-down menu without lang in staff'.

But if you two or more languge in your install, you have active language bar at the  botton
Comment 4 Zeno Tajoli 2015-11-16 17:29:12 UTC
[...]
But if you have two or more languge in your install, you have active the language bar at the  bottom.

And the 'Actions' drop down menus do not have enough space to expand.
Around the 17th menu, you don't see all options.

I think it is a problem of layers in the web page.
The languege bar needs to stay in background in every case.
Comment 5 Jonathan Druart 2015-12-02 14:12:59 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2016-05-03 14:01:53 UTC Comment hidden (obsolete)
Comment 7 Héctor Eduardo Castro Avalos 2016-05-03 15:45:30 UTC
Hi Owen

Tested with es-Es language still deployed the same way
Comment 8 Marc Véron 2016-05-03 15:46:31 UTC Comment hidden (obsolete)
Comment 9 Marc Véron 2016-05-03 15:48:15 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #7)
> Hi Owen
> 
> Tested with es-Es language still deployed the same way

Hi Héctor, did you do a translate?
Comment 10 Héctor Eduardo Castro Avalos 2016-05-03 15:49:54 UTC
(In reply to Marc Véron from comment #8)
> Created attachment 51161 [details] [review] [review]
> Bug 15194 - Drop-down menu 'Actions' has problem in 'Saved reports' page
> with language bottom bar
> 
> This patch changes the direction of the "actions" menu on the saved
> reports page so that it popup up instead of down.
> 
> To test, apply the patch and go to Reports -> Saved reports.
> 
> - Click the "Actions" menu for any report and confirm that the menu
>   displays above the button instead of below it.
> 
> Signed-off-by: Marc Véron <veron@veron.ch>

Hi Marc

I still don't see all options in last drowp-down menu
Comment 11 Héctor Eduardo Castro Avalos 2016-05-03 15:50:32 UTC
(In reply to Marc Véron from comment #9)
> (In reply to Héctor Eduardo Castro Avalos from comment #7)
> > Hi Owen
> > 
> > Tested with es-Es language still deployed the same way
> 
> Hi Héctor, did you do a translate?

Yes, with Spanish
Comment 12 Héctor Eduardo Castro Avalos 2016-05-03 15:54:13 UTC
Created attachment 51162 [details]
drop-down-menu-spanish

Hi Marc

I don't see the option "Delete" -> "Borrar" in spanish
Comment 13 Jonathan Druart 2016-05-04 15:10:45 UTC
Created attachment 51193 [details] [review]
Bug 15194 - Drop-down menu 'Actions' has problem in 'Saved reports' page with language bottom bar

This patch changes the direction of the "actions" menu on the saved
reports page so that it popup up instead of down.

To test, apply the patch and go to Reports -> Saved reports.

- Click the "Actions" menu for any report and confirm that the menu
  displays above the button instead of below it.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2016-05-04 15:12:44 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #12)
> Created attachment 51162 [details]
> drop-down-menu-spanish
> 
> Hi Marc
> 
> I don't see the option "Delete" -> "Borrar" in spanish

Héctor, this patch has nothing to do with this button.
I have tested with fr-FR and see the button, check that your user has the correct rights to delete a report (reports_create_reports).
Comment 15 Brendan Gallagher 2016-05-05 18:30:08 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 16 Julian Maurice 2016-05-09 10:36:23 UTC
Patch pushed to 3.22.x, will be in 3.22.7
Comment 17 Chris Cormack 2016-06-19 22:15:32 UTC
Pushed to 3.20.x will be in 3.20.11